Subject: Re: Odd perl 5.8.0 error
From: "Gerrit P. Haase" <[email-masked]>
To: Andrew DeFaria <[email-masked]>
Cc: [email-masked]
Date: Fri, 29 Aug 2003 13:11:46 +0200

Hello Andrew,

> All of a sudden a Perl script of mine that has been working fine for a
> long time stopped working. I've traced it down to the following line in
> Perl:

> my $nbr_msgs = `grep -ce "^From " "$returned_dir/$sender"`;

> Seems innocent enough right? Here's the error message:

> C:\Cygwin\bin\perl.exe: *** couldn't release memory 0x9D4000(1032192) 
> for
> 'C:\Cygwin\lib\perl5\5.8.0\cygwin-multi-64int\auto\Fcntl\Fcntl.dll' 
> alignment, Win32 error 487

>      13 [main] perl 1040 sync_with_child: child 5780(0x648) died before
> initialization with status code 0x1

> I searched winerror.h to find;

> #define ERROR_INVALID_ADDRESS 487L

> Any ideas?

Looks like a rebase issue, though I thought that only Win95/98/ME are
affected by this.

Does the failure happens sporadically or on regular basis now?

You don't have updated perl or cygwin before this happend the first
time?

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/